Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608990 - alt key do not work with xrdp [NEEDINFO]
alt key do not work with xrdp
Status: CLOSED UPSTREAM
Product: Fedora EPEL
Classification: Fedora
Component: xrdp (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 02:40 EDT by Kirby Zhou
Modified: 2016-10-28 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 21:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
itamar: needinfo? (kirbyzhou)


Attachments (Terms of Use)

  None (edit)
Description Kirby Zhou 2010-06-29 02:40:42 EDT
alt key do not work with xrdp, and win key do not work either

you can not use alt-f to open file menu in gedit or other apps, and can not use win key to open application menu of gnome desktop.

however, I can use alt-f1 to application menu of gnome desktop. it sounds strange.

xrdp-0.5.0-0.5.20090811cvs.el5

client is a win7 mstsc program.
Comment 1 Itamar Reis Peixoto 2010-11-17 19:08:48 EST
what keyboard/language are you using ?
Comment 2 Itamar Reis Peixoto 2010-11-18 01:07:48 EST
please try this version and give me a feedback

http://koji.fedoraproject.org/koji/taskinfo?taskID=2607716
Comment 3 birger 2011-03-01 09:05:53 EST
I am running xrdp-0.5.0-0.13.fc14.x86_64 on a newly installed f14.

I can confirm that at least for me alt-f and so on work. I am running from a win 7 client using norwegian keyboard, and have generated keyboard map for xrdp using xrdp-genkeymap.

The keyboard layout mostly works, but I still have some problems. Alt Gr does not work. It is needed for norwegian keyboard to get important characters like @£${[]} and a few others. Also, the arrow keys do not work as they should. Most likely this is more of a problem with xrdp-genkeymap?

Do you want me to upload the generated keymap file?
Comment 4 Itamar Reis Peixoto 2016-10-28 21:20:53 EDT
yes please, 

send the generated keymap to https://github.com/neutrinolabs/xrdp

closing this here, thank you.

Note You need to log in before you can comment on or make changes to this bug.